## r-bioc-annotationhub 3.14.0+dfsg

=== DESCRIPTION ===
Package: AnnotationHub
Type: Package
Title: Client to access AnnotationHub resources
Version: 3.14.0
Authors@R: 
    c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
             role="cre"),
      person("Martin", "Morgan", role="aut"),
      person("Marc", "Carlson", role="ctb"),
      person("Dan", "Tenenbaum", role="ctb"),
      person("Sonali", "Arora", role="ctb"),
      person("Valerie", "Oberchain", role="ctb"),
      person("Kayla", "Morrell", role="ctb"),
      person("Lori", "Shepherd", role="aut"))
biocViews: Infrastructure, DataImport, GUI, ThirdPartyClient
Description: This package provides a client for the Bioconductor
    AnnotationHub web resource. The AnnotationHub web resource
    provides a central location where genomic files (e.g., VCF, bed,
    wig) and other resources from standard locations (e.g., UCSC,
    Ensembl) can be discovered. The resource includes metadata about
    each resource, e.g., a textual description, tags, and date of
    modification. The client creates and manages a local cache of
    files retrieved by the user, helping with quick and reproducible
    access.
License: Artistic-2.0
Depends: BiocGenerics (>= 0.15.10), BiocFileCache (>= 1.5.1)
Imports: utils, methods, grDevices, RSQLite, BiocManager, BiocVersion,
        curl, rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors, httr,
        yaml, dplyr
Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
        Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
        rBiopaxParser, RUnit, txdbmaker, MSnbase, mzR, Biostrings,
        CompoundDb, keras, ensembldb, SummarizedExperiment,
        ExperimentHub, gdsfmt, rmarkdown, HubPub
Enhances: AnnotationHubData
Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
        AnnotationHub-class.R AnnotationHubResource-class.R
        BEDResource-class.R ProteomicsResource-class.R
        EpigenomeResource-class.R EnsDbResource-class.R utilities.R
        sql-utils.R Hub-utils.R cache-utils.R zzz.R
VignetteBuilder: knitr
BugReports: https://github.com/Bioconductor/AnnotationHub/issues
NeedsCompilation: yes
git_url: https://git.bioconductor.org/packages/AnnotationHub
git_branch: RELEASE_3_20
git_last_commit: f93a396
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
Packaged: 2024-10-29 23:28:11 UTC; biocbuild
Author: Bioconductor Package Maintainer [cre],
  Martin Morgan [aut],
  Marc Carlson [ctb],
  Dan Tenenbaum [ctb],
  Sonali Arora [ctb],
  Valerie Oberchain [ctb],
  Kayla Morrell [ctb],
  Lori Shepherd [aut]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-annotationhub (3.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 23:21:51 +0100

r-bioc-annotationhub (3.14.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:12:43 +0100

=== debian/control ===
Source: r-bioc-annotationhub
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biocfilecache,
               r-cran-rsqlite,
               r-cran-biocmanager,
               r-bioc-biocversion,
               r-cran-curl,
               r-cran-rappdirs,
               r-bioc-annotationdbi,
               r-bioc-s4vectors,
               r-cran-httr,
               r-cran-yaml,
               r-cran-dplyr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
Homepage: https://bioconductor.org/packages/AnnotationHub/
Rules-Requires-Root: no

Package: r-bioc-annotationhub
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client to access AnnotationHub resources
 This package provides a client for the Bioconductor AnnotationHub web
 resource. The AnnotationHub web resource provides a central location
 where genomic files (e.g., VCF, bed, wig) and other resources from
 standard locations (e.g., UCSC, Ensembl) can be discovered. The resource
 includes metadata about each resource, e.g., a textual description,
 tags, and date of modification. The client creates and manages a local
 cache of files retrieved by the user, helping with quick and
 reproducible access.
